commit: 21c069e73fc558f53dabed7a2faef2aaa2909c39
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed May 17 12:13:48 2017 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 17 12:14:54 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21c069e7
dev-python/pyalsaaudio: Include code for running tests
dev-python/pyalsaaudio/pyalsaaudio-0.8.2.ebuild | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
diff --git a/dev-python/pyalsaaudio/pyalsaaudio-0.8.2.ebuild
b/dev-python/pyalsaaudio/pyalsaaudio-0.8.2.ebuild
index 74e394c49f6..5470b7f46c4 100644
--- a/dev-python/pyalsaaudio/pyalsaaudio-0.8.2.ebuild
+++ b/dev-python/pyalsaaudio/pyalsaaudio-0.8.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -31,6 +31,10 @@ python_compile() {
distutils-r1_python_compile
}
+python_test() {
+ "${PYTHON}" test.py -v || die "Tests fail with ${EPYTHON}"
+}
+
python_install_all() {
use doc && local HTML_DOCS=( doc/html/. )
local EXAMPLES=( *test.py )